%##########################################################################
%##########################################################################
%##########################################################################
%##################  PLOTS  ###############################################
%##########################################################################
%##########################################################################


TT=[0,t0-1,t0,t0+1,t0+tw-1,t0+tw,t0+te];
TRR=[0,0,1.00001,1,1,0,0];
TT=TT/3600;
area=5;       
kkk=zeros(1,scatternumb);
for i=1:scatternumb
    kkk(1,i)=max(YS(i,2,:));
end;
maxYS2=max(kkk(1,:));
kkk=zeros(1,scatternumb);
for i=1:scatternumb
    kkk(1,i)=max(YS(i,3,:));
end;
maxYS3=max(kkk(1,:));

kkk=zeros(1,scatternumb);
for i=1:scatternumb
    kkk(1,i)=max(YS(i,4,:));
end;
maxYS4=max(kkk(1,:));
kkk=zeros(1,scatternumb);
for i=1:scatternumb
    kkk(1,i)=max(YS(i,5,:));
end;
maxYS5=max(kkk(1,:));
%##########################################################################
%##########################################################################
%##########################################################################
figure(1)
set(gcf,'Color',[1,1,1])
subplot(2,2,1);
plot(TT,TRR);
grid on;
title('[A],   TNF activity');
subplot(2,2,2);
plot(T,YYY(:,1));
grid on;
title('[B],   Neutral IKK, (IKKn)');
subplot(2,2,3);
plot(T,YYY(:,2));
grid on;
title('[C],   Active IKK, (IKKa)');
subplot(2,2,4);
plot(T,YYY(:,3));
grid on;
title('[D],   Inactive IKK, (IKKi)');
%##########################################################################
%##########################################################################
%##########################################################################
figure(11)
set(gcf,'Color',[1,1,1])
subplot(2,2,1);
plot(T,GG1);
grid on;
title('[A],  activity of A20 promoter, allele 1');
subplot(2,2,3);
plot(T,GG2);
grid on;
title('[D],  activity of A20 promoter, allele 2');
subplot(2,2,2);
plot(T,GG1a);
grid on;
title('[G],  activity of Ikba promoter, allele 1');
subplot(2,2,4);
plot(T,GG2a);
grid on;
title('[J],  activity of Ikba promoter, allele 2');
%##########################################################################
%##########################################################################
%##########################################################################
figure(2)
set(gcf,'Color',[1,1,1])
subplot(4,2,1);
plot(T,YYY(:,2));
grid on;
%set(gca,'xtick',[-10 -9 -8])
title('[A],   Active IKK, (IKKa)');
subplot(4,2,2);
plot(T,YYY(:,11)+YYY(:,14)+YYY(:,10)+YYY(:,13));
grid on;
title('[B],   Total IkBa');
subplot(4,2,3)
plot(T,YYY(:,7));
grid on;
title('[C],   Free nuclear NF-kB');
subplot(4,2,4);
plot(T,GG1a+GG2a);
grid on;
title('[D],    Activity of IkBa gene, both alleles ');
subplot(4,2,5);
plot(T,GG1+GG2);
grid on;
title('[E],    Activity of A20 gene,both alleles'); 
subplot(4,2,6);
plot(T,YYY(:,12));
grid on;
title('[F],   IkBa mRNA transcript');
subplot(4,2,7);
plot(T,YYY(:,9));
grid on;
title('[G],   A20 mRNA transcript');
xlabel('Time in hours');
subplot(4,2,8);
plot(T,YYY(:,8));
grid on;
title('[H],   A20 protein');
xlabel('Time in hours')
%%############# REST #########################33
%###############################################
figure(3)
set(gcf,'Color',[1,1,1])
subplot(3,3,1);
plot(T,YYY(:,2));
grid on;
title('[A],   Active IKK, (IKKa)');
subplot(3,3,2);
plot(T,YYY(:,10));
grid on;
title('[B],   Free cytoplasmic IkBa');
subplot(3,3,3);
plot(T,YYY(:,13));
grid on;
title('[C],   Cytoplasmic (IkBa|NF-kB)');
subplot(3,3,4);
plot(T,YYY(:,11));
grid on;
title('[D],   Free nuclear IkBa');
subplot(3,3,5)
plot(T,YYY(:,7));
grid on;
title('[E],   Free nuclear NF-kB');
subplot(3,3,6);
plot(T,YYY(:,12));
grid on;
title('[F],   IkBa mRNA transcript');
subplot(3,3,7);
plot(T,YYY(:,9));
grid on;
title('[G],   A20 mRNA transcript');
subplot(3,3,8);
plot(T,YYY(:,8));
grid on;
title('[H],   A20 protein');

figure(4)
set(gcf,'Color',[1,1,1])
subplot(2,3,1)
plot(T,YYY(:,4));    
grid on;
title('[A],   (IKKa|IkBa)');
subplot(2,3,2);
plot(T,YYY(:,5));
grid on;
title('[B],   (IKKa|IkBa|NF-kB)');
subplot(2,3,3);
plot(T,YYY(:,14));
grid on;
title('   [C],   Nuclear (IkBa|NF-kB)');
subplot(2,3,4);
plot(T,YYY(:,6));
grid on;
title('[D],   Free and phospho-IkBa bounded cytoplasmic NF-kB');
subplot(2,3,5);
plot(T,YYY(:,10)+YYY(:,13));
grid on;
title('[E], Total cytoplasmic IkBa');
subplot(2,3,6)
plot(T,YYY(:,7));
grid on;
title('[F],   Free nuclear NF-kB');
%######################################
%################## SCATTERS ##########
%######################################
figure(6)
set(gcf,'Color',[1,1,1])
subplot(3,2,1)
scatter(YS(1,1,:),YS(1,2,:),area);
axis([0 60000 0 maxYS2])
text(30000,150000,'t=0''','FontSize',10)
ylabel('Total IkBa');
%title('t=0''');
subplot(3,2,2)
scatter(YS(2,1,:),YS(2,2,:),area);
%axis([0 60000 0 maxYS2])
%title('t=15''');
text(30000,150000,'t=15''','FontSize',10)
%ylabel('Total IkBa');
subplot(3,2,3)
scatter(YS(3,1,:),YS(3,2,:),area);
%axis([0 60000 0 maxYS2])
%title(' t=30''');
text(30000,150000,'t=30''','FontSize',10)
ylabel('Total IkBa');
subplot(3,2,4)
scatter(YS(4,1,:),YS(4,2,:),area);
axis([0 60000 0 maxYS2])
%title(' t=150''');
text(30000,150000,'t=90''','FontSize',10)
%xlabel(' t=150''');
%ylabel('Total IkBa');
subplot(3,2,5)
scatter(YS(5,1,:),YS(5,2,:),area);
axis([0 60000 0 maxYS2])
%title(' t=2.5h');
text(30000,150000,'t=2.5h','FontSize',10)
xlabel('Nuclear NF-KB');
ylabel('Total IkBa');
subplot(3,2,6)
scatter(YS(6,1,:),YS(6,2,:),area);
axis([0 60000 0 maxYS2])
%title(' t=6h');
xlabel('Nuclear NF-KB');
%ylabel('Total IkBa');
text(30000,150000,'t=6h','FontSize',10)

figure(7)
set(gcf,'Color',[1,1,1])
subplot(2,2,1)
scatter(YS(1,3,:),YS(1,2,:),area);
axis([0 maxYS3 0 maxYS2])
text(70,150000,'t=0''','FontSize',10)
ylabel('Total IkBa');
subplot(2,2,2)
scatter(YS(3,3,:),YS(3,2,:),area);
axis([0 maxYS3 0 maxYS2])
%title(' t=30''');
text(70,150000,'t=30''','FontSize',10)
%ylabel('Total IkBa');
subplot(2,2,3)
scatter(YS(4,3,:),YS(4,2,:),area);
axis([0 maxYS3 0 maxYS2])
%title(' t=60''');
xlabel(' IkBa  mRNA');
text(70,150000,'t=90''','FontSize',10)
ylabel('Total IkBa');
subplot(2,2,4)
scatter(YS(5,3,:),YS(5,2,:),area);
axis([0 maxYS3 0 maxYS2])
%title(' t=2.5h''');
xlabel(' IkBa  mRNA');
%ylabel('Total IkBa');
text(70,150000,'t=2.5h','FontSize',10)

figure(8)
set(gcf,'Color',[1,1,1])
subplot(3,2,1)
scatter(YS(1,1,:),YS(1,4,:),area);
axis([0 60000 0 maxYS4])
%xlabel('  t=0''');
text(30000,400000,'t=0''','FontSize',10)
ylabel('A20 protein');
%title('t=0''');
subplot(3,2,2)
scatter(YS(2,1,:),YS(2,4,:),area);
%axis([0 60000 0 maxYS4])
%title('t=15''');
text(30000,400000,'t=15''','FontSize',10)
%ylabel('A20 protein');
subplot(3,2,3)
scatter(YS(3,1,:),YS(3,4,:),area);
%axis([0 60000 0 maxYS4])
%title(' t=30''');
text(30000,400000,'t=30''','FontSize',10)
ylabel('A20 protein');
subplot(3,2,4)
scatter(YS(4,1,:),YS(4,4,:),area);
axis([0 60000 0 maxYS4])
%title(' t=90''');
text(30000,400000,'t=90''','FontSize',10)
%ylabel('A20 protein');
subplot(3,2,5)
scatter(YS(5,1,:),YS(5,4,:),area);
axis([0 60000 0 maxYS4])
%title(' t=2.5h');
text(30000,400000,'t=2.5h','FontSize',10)
xlabel('Nuclear NF-KB');
ylabel('A20 protein');
subplot(3,2,6)
scatter(YS(6,1,:),YS(6,4,:),area);
axis([0 60000 0 maxYS4])
%title(' t=6h');
xlabel('Nuclear NF-KB');
text(30000,400000,'t=6h','FontSize',10)


figure(9)
set(gcf,'Color',[1,1,1])
subplot(2,2,1)
scatter(YS(1,5,:),YS(1,4,:),area);
axis([0 maxYS5 0 maxYS4])
text(100,400000,'t=0''','FontSize',10);
ylabel('A20 protein');
%title('t=0''');
subplot(2,2,2)
scatter(YS(3,5,:),YS(3,4,:),area);
axis([0 maxYS5 0 maxYS4])
%title(' t=30''');
text(100,400000,'t=30''','FontSize',10)
%ylabel('A20 protein');
subplot(2,2,3)
scatter(YS(4,5,:),YS(4,4,:),area);
axis([0 maxYS5 0 maxYS4])
%title(' t=90''');
text(100,400000,'t=90''','FontSize',10)
xlabel('A20 mRNA');
ylabel('A20 protein');
subplot(2,2,4)
scatter(YS(5,5,:),YS(5,4,:),area);
axis([0 maxYS5 0 maxYS4])
text(100,400000,'t=2.5h','FontSize',10)
%title(' t=2.5h');
xlabel('A20 mRNA');
%ylabel('A20 protein');


figure(60)
set(gcf,'Color',[1,1,1])
subplot(3,2,1)
scatter(YS(1,4,:),YS(1,2,:),area);
axis([0 maxYS4 0 maxYS2])
text(150000,150000,'t=0''','FontSize',10)
ylabel('Total IkBa');
%title('t=0''');
subplot(3,2,2)
scatter(YS(2,4,:),YS(2,2,:),area);
axis([0 maxYS4 0 maxYS2])
%title('t=15''');
text(150000,150000,'t=15''','FontSize',10)
%ylabel('Total IkBa');
subplot(3,2,3)
scatter(YS(3,4,:),YS(3,2,:),area);
axis([0 maxYS4 0 maxYS2])
%title(' t=150''');
text(150000,150000,'t=30''','FontSize',10)
ylabel('Total IkBa');
subplot(3,2,4)
scatter(YS(4,4,:),YS(4,2,:),area);
axis([0 maxYS4 0 maxYS2])
%title(' t=150''');
text(150000,150000,'t=90''','FontSize',10)
%xlabel(' t=150''');
%ylabel('Total IkBa');
subplot(3,2,5)
scatter(YS(5,4,:),YS(5,2,:),area);
axis([0 maxYS4 0 maxYS2])
%title(' t=2.5h');
text(150000,150000,'t=2.5h','FontSize',10)
xlabel('A20 protein');
ylabel('Total IkBa');
subplot(3,2,6)
scatter(YS(6,4,:),YS(6,2,:),area);
axis([0 maxYS4 0 maxYS2])
%title(' t=6h');
xlabel('A20 protein');
%ylabel('Total IkBa');
text(150000,150000,'t=6h','FontSize',10)